### Enumeration

# Clutter InputContentPurpose

#### Declaration

    enum Clutter.InputContentPurpose

#### Description

No description available.

#### Members

`CLUTTER_INPUT_CONTENT_PURPOSE_NORMAL`

  No description available.

  - Value: `0`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_ALPHA`

  No description available.

  - Value: `1`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_DIGITS`

  No description available.

  - Value: `2`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_NUMBER`

  No description available.

  - Value: `3`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_PHONE`

  No description available.

  - Value: `4`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_URL`

  No description available.

  - Value: `5`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_EMAIL`

  No description available.

  - Value: `6`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_NAME`

  No description available.

  - Value: `7`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_PASSWORD`

  No description available.

  - Value: `8`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_DATE`

  No description available.

  - Value: `9`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_TIME`

  No description available.

  - Value: `10`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_DATETIME`

  No description available.

  - Value: `11`
  - Available since: 14
`CLUTTER_INPUT_CONTENT_PURPOSE_TERMINAL`

  No description available.

  - Value: `12`
  - Available since: 14